Debian Bug report logs - #646807
live-build: lb build: don't build source image when SOURCE="false"

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Yves-Alexis Perez <corsac@debian.org>

Date: Thu, 27 Oct 2011 12:57:01 UTC

Severity: wishlist

Found in version live-build/3.0~a37-1

Fixed in version live-build/3.0~a38-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 12:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 12:57:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 14:53:14 +0200
Package: live-build
Version: 3.0~a37-1
Severity: wishlist

Hey,

I'm using live-build to build some custom live images. The steps I use are lb
config followed by lb build in order to benefit from the fact lb build will do
everything needed by itself.

I don't need the source image (and my local mirror doesn't even have sources),
so the default LB_SOURCE="false" is fine for me. But even with this, calling
lb build will finally run lb source, which will try to build a source archive.

Would it be possible to skip lb source from lb build if SOURCE="false" (or
make lb source a no-op in that case)?

Regards,
-- 
Yves-Alexis

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap  0.5.8+b1
ii  debootstrap   1.0.37  

Versions of packages live-build recommends:
pn  cpio                            2.11-7    
pn  gettext-base                    0.18.1.1-5
pn  gnu-fdisk                       <none>    
pn  live-boot-doc                   <none>    
pn  live-config-doc                 3.0~a28-1 
pn  live-manual-html | live-manual  <none>    

Versions of packages live-build suggests:
pn  dosfstools             3.0.9-1      
pn  fakeroot               1.18.1-1     
pn  genisoimage            9:1.1.11-2   
pn  memtest86+             4.20-1       
pn  mtd-utils [mtd-tools]  1:1.4.4-1    
pn  mtools                 <none>       
pn  parted                 2.3-8        
pn  squashfs-tools         1:4.2-4+b1   
pn  sudo                   1.8.3-1      
pn  syslinux               2:4.04+dfsg-5
pn  uuid-runtime           <none>       
pn  win32-loader           <none>       

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 16:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 16:18:12 GMT) Full text and rfc822 format available.

Message #10 received at 646807@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 646807@bugs.debian.org
Subject: Re: Bug#646807: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 18:15:47 +0200
On 10/27/2011 02:53 PM, Yves-Alexis Perez wrote:
> I don't need the source image [...] so the default LB_SOURCE="false" is fine for me. But even with this, calling
> lb build will finally run lb source, which will try to build a source archive.

i can't reproduce that. for me, if LB_SOURCE=false, lb_source_* just 
don't do anything.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 646807@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 646807@bugs.debian.org
Subject: Re: Bug#646807: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 18:33:11 +0200
[Message part 1 (text/plain, inline)]
On jeu., 2011-10-27 at 18:15 +0200, Daniel Baumann wrote:
> On 10/27/2011 02:53 PM, Yves-Alexis Perez wrote:
> > I don't need the source image [...] so the default LB_SOURCE="false" is fine for me. But even with this, calling
> > lb build will finally run lb source, which will try to build a source archive.
> 
> i can't reproduce that. for me, if LB_SOURCE=false, lb_source_* just 
> don't do anything.
> 
What I do:

lb config -d sid
sudo lb bootstrap
sudo lb chroot
grep '^LB_SOURCE=' config/source
LB_SOURCE="false"
sudo lb source
P: Setting up cleanup function
P: Configuring file /etc/hosts
P: Configuring file /etc/resolv.conf
P: Configuring file /etc/hostname
P: Configuring file /bin/hostname
P: Configuring file /etc/apt/sources.list
Get:1 http://ftp.de.debian.org sid InRelease [146 kB]
Get:2 http://ftp.de.debian.org sid/main TranslationIndex [2045 B]
Get:3 http://ftp.de.debian.org sid/main Sources [7384 kB]
31% [3 Sources 2241 kB/7384 kB 30%]

Any idea on how to debug that a bit more?

sudo bash -x lb source attached.

Regards,
-- 
Yves-Alexis
[source.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 646807@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 646807@bugs.debian.org
Subject: Re: Bug#646807: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 18:50:06 +0200
On 10/27/2011 06:33 PM, Yves-Alexis Perez wrote:
> What I do:
>
> lb config -d sid
> sudo lb bootstrap
> sudo lb chroot
> grep '^LB_SOURCE=' config/source
> LB_SOURCE="false"
> sudo lb source

sounds good.

> Any idea on how to debug that a bit more?
>
> sudo bash -x lb source attached.

put a 'set -x' into /usr/share/live/build/scripts/build/lb_source{,_*}
and then run it again (with a prior lb_clean --source).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 20:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 646807@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 646807@bugs.debian.org
Subject: Re: Bug#646807: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 22:01:23 +0200
tag 646807 pending
thanks

On 10/27/2011 06:15 PM, Daniel Baumann wrote:
> i can't reproduce that. for me, if LB_SOURCE=false, lb_source_* just
> don't do anything.

looked at the wrong source tree which was before we added the networking
stuff in lb_source directly. so.. nevermind, it's fixed in git now,
uploading new version end of weekend.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 20:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#646807; Package live-build. (Thu, 27 Oct 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #32 received at 646807@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 646807@bugs.debian.org
Subject: Re: Bug#646807: live-build: lb build: don't build source image when SOURCE="false"
Date: Thu, 27 Oct 2011 22:03:11 +0200
[Message part 1 (text/plain, inline)]
On jeu., 2011-10-27 at 22:01 +0200, Daniel Baumann wrote:
> tag 646807 pending
> thanks
> 
> On 10/27/2011 06:15 PM, Daniel Baumann wrote:
> > i can't reproduce that. for me, if LB_SOURCE=false, lb_source_* just
> > don't do anything.
> 
> looked at the wrong source tree which was before we added the networking
> stuff in lb_source directly. so.. nevermind, it's fixed in git now,
> uploading new version end of weekend. 

Thanks :)
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 30 Oct 2011 08:51:09 GMT) Full text and rfc822 format available.

Notification sent to Yves-Alexis Perez <corsac@debian.org>:
Bug acknowledged by developer. (Sun, 30 Oct 2011 08:51:10 GMT) Full text and rfc822 format available.

Message #37 received at 646807-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 646807-close@bugs.debian.org
Subject: Bug#646807: fixed in live-build 3.0~a38-1
Date: Sun, 30 Oct 2011 08:48:24 +0000
Source: live-build
Source-Version: 3.0~a38-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a38-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a38-1_all.deb
live-build-cron_3.0~a38-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a38-1_all.deb
live-build_3.0~a38-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a38-1.debian.tar.gz
live-build_3.0~a38-1.dsc
  to main/l/live-build/live-build_3.0~a38-1.dsc
live-build_3.0~a38-1_all.deb
  to main/l/live-build/live-build_3.0~a38-1_all.deb
live-build_3.0~a38.orig.tar.gz
  to main/l/live-build/live-build_3.0~a38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646807@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Oct 2011 08:46:54 +0100
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a38-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 646807
Changes: 
 live-build (3.0~a38-1) unstable; urgency=low
 .
   * Disable backports forcefully when building artax-backports images
     direcly.
   * Updating symlinks for Ubuntu releases in debian-cd includes.
   * Adding hook to remove dbus machine id.
   * Renumbering hooks.
   * Bail out early in lb_source if source is disabled (Closes: #646807).
   * Adding expire date for oneiric in releases list.
   * Adding precise in releases list.
   * Correcting defaults d-i mirror for progress.
Checksums-Sha1: 
 27cb1238ec98d7e94de510abe1aeb1bc8394de9f 1413 live-build_3.0~a38-1.dsc
 0ad00c6b8be19f3bc3b29424aa10326d892f8d07 1822105 live-build_3.0~a38.orig.tar.gz
 b86442d62c174becc011bbd2b4a8bde8424b2da4 50169 live-build_3.0~a38-1.debian.tar.gz
 7b3356b8a6a08c630e651fda72c054b3d4caf799 1138520 live-build_3.0~a38-1_all.deb
 0a25f89c454a631b6d3cebc6f2f9fd8f93c2bf8f 63670 live-build-cgi_3.0~a38-1_all.deb
 cbf120dbe689c4a0fae14556be4209f9679d90cc 63776 live-build-cron_3.0~a38-1_all.deb
Checksums-Sha256: 
 0fd7906a935c961bd332c898077db08e14e3d79072af5a7fc4ceb761812aafe3 1413 live-build_3.0~a38-1.dsc
 23f5c77d73f75d269a43ec7b3e89ce2e6e98464423fe8222d27ca1939d60993b 1822105 live-build_3.0~a38.orig.tar.gz
 378f3f57532e55089d3eb36620160fc20527b8b5518e6363a77217e7155436fc 50169 live-build_3.0~a38-1.debian.tar.gz
 ccb89c28d1b3e2fc3641d99c84167f27fc2bef5e2a3d5e10c69c61caf7f6859d 1138520 live-build_3.0~a38-1_all.deb
 29ac2076981e0d625d5f3b2ddc2039d7a3f62fcc15bf2163ccfc27517544761b 63670 live-build-cgi_3.0~a38-1_all.deb
 21e7e7140283b98d9307f3dad9d3104ed9012867cee98839da88a3c4fac5ac7c 63776 live-build-cron_3.0~a38-1_all.deb
Files: 
 1e3f0b270cc8c34bcb549a095f82270d 1413 misc optional live-build_3.0~a38-1.dsc
 2996aefa08673cb4468ef3c15b12955e 1822105 misc optional live-build_3.0~a38.orig.tar.gz
 f46877171ac52648ea89323529a5e19f 50169 misc optional live-build_3.0~a38-1.debian.tar.gz
 ca38ed36e862932e4474bfc47cc04c66 1138520 misc optional live-build_3.0~a38-1_all.deb
 b42a5419478edcd0fe60a13618610d48 63670 misc optional live-build-cgi_3.0~a38-1_all.deb
 c69260a847957cd56addd0a31ab37c39 63776 misc optional live-build-cron_3.0~a38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6tAk0ACgkQ+C5cwEsrK54w1ACghYdNRWZYCSLU2VtPPS8Zhe+5
R/UAoNszUo7jPxyS+APSYU2xKpP/VTdt
=5Nd1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Dec 2011 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:43:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.